Bug 198713 - [New port] editors/neovim: next generation vim
Summary: [New port] editors/neovim: next generation vim
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on: 198591 198616 198708 198709 198711 198712
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-19 17:05 UTC by Anton Törnqvist
Modified: 2015-09-10 18:04 UTC (History)
2 users (show)

See Also:


Attachments
neovim.shar (51.64 KB, application/x-shar)
2015-03-19 17:05 UTC, Anton Törnqvist
no flags Details
poudriere-buildlog-10amd64-neovim (460.47 KB, text/plain)
2015-03-19 17:05 UTC, Anton Törnqvist
no flags Details
updated patch (52.07 KB, patch)
2015-07-08 20:24 UTC, Steve Wills
no flags Details | Diff
poudriere (468.43 KB, text/plain)
2015-07-11 13:43 UTC, Tony Narlock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Törnqvist 2015-03-19 17:05:18 UTC
Created attachment 154531 [details]
neovim.shar
Comment 1 Anton Törnqvist 2015-03-19 17:05:51 UTC
Created attachment 154532 [details]
poudriere-buildlog-10amd64-neovim
Comment 2 Steve Wills freebsd_committer 2015-07-08 20:24:27 UTC
Created attachment 158544 [details]
updated patch

Here's an updated version, passes poudriere and portlint -ACNc. Look good to you?
Comment 3 Tony Narlock 2015-07-11 13:43:22 UTC
Created attachment 158619 [details]
poudriere

(In reply to Steve Wills from comment #2)

Hey!  Glad to see a neovim port. I'm excited for this to get in. :)

Attaching my poudriere just to confirm.

If anyone else is testing: read + apply the patch carefully, shar first, then patch inside of editors/.
Comment 4 Anton Törnqvist 2015-08-28 16:42:03 UTC
(In reply to Steve Wills from comment #2)
looks good
Comment 5 commit-hook freebsd_committer 2015-09-10 18:03:29 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 10 18:03:17 UTC 2015
New revision: 396594
URL: https://svnweb.freebsd.org/changeset/ports/396594

Log:
  editors/neovim: create port

  PR:		198713
  Submitted by:	Anton T?rnqvist <antont@inbox.lv> (based on)

Changes:
  head/editors/Makefile
  head/editors/neovim/
  head/editors/neovim/Makefile
  head/editors/neovim/distinfo
  head/editors/neovim/files/
  head/editors/neovim/files/patch-CMakeLists.txt
  head/editors/neovim/pkg-descr
  head/editors/neovim/pkg-plist
Comment 6 Steve Wills freebsd_committer 2015-09-10 18:04:00 UTC
Committed, thanks!